# Grafpix

Grafpix icon pack, is a huge  grawing collection of high ranked icon-sets from multiple authors ready for you to use in your flutter projects.

## Getting Started

One of the most useful ui-tools available on the web for mobile app developers are icons, and when a collection of great icon sets is available to you under one single place with ease of use, it is even better.

## Features!

  - Top ranked icon sets from multiple authors to assure you the best ui experience to your flutter app audients.
  - A growing collection of icons managed from one single place. 
  - Ease of use, with one single line of code, you are ready to go.
  - Save your time & efforts.
  - And more to come..

### Installation
In your `pubspec.yaml` under `dependencies` add the following line:
```yaml
dependencies:
  grafpix: ^1.1.3
```
From your `Terminal`, run the following code:

```sh
  flutter pub get
```

#### Usage
Use the *`PixIcon`* as `IconData`.
```sh
Icon({PixIcon.icon_name})
```

### Example
PixIcon.*home* icon example
```dart
import 'package:grafpix/grafpix_icons.dart';

class MyApp extends StatelessWidget {
  Widget build(BuildContext context) {
    return IconButton(
      icon: Icon(PixIcon.home, size: 30.0, color:Colors.orange), 
      onPressed: () { print('Icon Pressed'); }
     );
  }
}
```

[![GRAFPIX](https://files.fm/thumb_show.php?i=hhma8df9)](http://grafpix.com)
#### Contributor
> Ahmed Mustafa < ahmed.dev2020@gmail.com >
> if you have suggestions, please feel free to contact me any time.
> your feedback is highly appreciated.

### License
MIT
